@import '/mixins/mixins'
@import '/mixins/sprite'

/*Переменные настройки*/
headerHeight = auto
footerHeight = 80px
placeholderColor = #000
containerWidth = 980px

@font-face
  font-family "BrandonGrotesque";
  src url("../fonts/BrandonGrotesque-Regular.eot?") format("eot"), url("../fonts/BrandonGrotesque-Regular.woff") format("woff"), url("../fonts/BrandonGrotesque-Regular.ttf") format("truetype"), url("../fonts/BrandonGrotesque-Regular.svg#BrandonGrotesque-Regular") format("svg")
  font-weight normal
  font-style normal
@font-face
  font-family "BrandonGrotesqueLight";
  src url("../fonts/BrandonGrotesque-Light.eot?") format("eot"), url("../fonts/BrandonGrotesque-Light.woff") format("woff"), url("../fonts/BrandonGrotesque-Light.ttf") format("truetype")
  font-weight normal
  font-style normal
@font-face
  font-family "BrandonGrotesqueBlack";
  src url("../fonts/BrandonGrotesque-Black.eot?") format("eot"), url("../fonts/BrandonGrotesque-Black.woff") format("woff"), url("../fonts/BrandonGrotesque-Black.ttf") format("truetype")
  font-weight normal
  font-style normal
@font-face
  font-family "BrandonGrotesqueBold";
  src url("../fonts/BrandonGrotesque-Bold.eot?") format("eot"), url("../fonts/BrandonGrotesque-Bold.woff") format("woff"), url("../fonts/BrandonGrotesque-Bold.ttf") format("truetype")
  font-weight normal
  font-style normal
@font-face
  font-family "LatoLight";
  src url("../fonts/LatoLight.eot?") format("eot"), url("../fonts/LatoLight.woff") format("woff"), url("../fonts/LatoLight.ttf") format("truetype")
  font-weight normal
  font-style normal
@font-face
  font-family "Avenir Roman";
  src url("../fonts/Avenir-Roman-webfont.eot?") format("eot"), url("../fonts/Avenir-Roman-webfont.woff") format("woff"), url("../fonts/Avenir-Roman-webfont.ttf") format("truetype"), url("../fonts/Avenir-Roman-webfont.svg#BrandonGrotesque-Regular") format("svg")
  font-weight normal
  font-style normal
@font-face
  font-family "Proxima";
  src url("../fonts/ProximaNovaRegular.eot?") format("eot"), url("../fonts/ProximaNovaRegular.woff") format("woff"), url("../fonts/ProximaNovaRegular.ttf") format("truetype"), url("../fonts/ProximaNovaRegular.svg#BrandonGrotesque-Regular") format("svg")
  font-weight normal
  font-style normal
@font-face
  font-family "CalibriLight";
  src url("../fonts/Calibri-Light.ttf") format("truetype")
  font-weight normal
  font-style normal
@font-face
  font-family "CalibriBold";
  src url("../fonts/Calibri-Bold.eot?") format("eot"), url("../fonts/Calibri-Bold.woff") format("woff"), url("../fonts/Calibri-Bold.ttf") format("truetype"), url("../fonts/Calibri-Bold.svg#Calibri-Bold") format("svg")
  font-weight normal
  font-style normal

webfont("test", "BrandonGrotesque-Regular")

*
  box-sizing border-box

/*Стилизация placeholder*/
input
  placeholder(#dedede)
textarea
  placeholder(#dedede)
input.filter-form__input
  placeholder(#868686)
body
  color #262626
  font-family "BrandonGrotesque"
/*Скрытие текста*/
.replace-text
  text-hide()
.container
  width 100%
  max-width 1460px
/*иконки*/
.s-icon
  display inline-block
  background url("../img/bg/sprite.png") no-repeat
.bs-icon
.as-icon
  &:before
  &:after
    display block
    background url("../img/bg/sprite.png") no-repeat
for key, value in sprites
    .s-icon--{key}
      sprite(value)

/*Футер к низу страницы*/
image-base-url = 'http://domain.com/images/'
html
body
  height 100%
  background-image url(image-base-url + 'image.png')

.wrapper
  min-height: 100%
  height auto !important
  height 100%
  margin 0 auto - footerHeight
.footer-push
  height footerHeight
.footer
  height footerHeight

a:hover
  text-decoration none

.f-left
  float left
.f-right
  float right
.t-center
  text-align center
.clearfix
  clearfix()

.vcenter
  display inline-block
  vertical-align middle
  float none
  margin-left -4px
  &:first-child
    margin-left 0


calculateMargin(num)
  (5*num) + '%'

for num in (1..10)
  .mt-{num*5}
    margin-top unit(calculateMargin(num), px)
  .ml-{num*5}
    margin-left unit(calculateMargin(num), px)!important
  .mb-{num*5}
    margin-bottom unit(calculateMargin(num), px)
  .mr-{num*5}
    margin-right unit(calculateMargin(num), px)
.mt-0
  margin-top 0!important
.mb-0
  margin-bottom 0!important


.row--centered
  align-items center


